import React, { useState } from 'react';
import { connect } from 'react-redux';
import { NavLink } from 'react-router-dom';
import Logout from '../Components/Logout/Logout';
import './header.css';

function Header({ loginName = "", isLogin = false }) {

    let [isLogout, setIsLogout] = useState(false)

    return (
        <nav>
            <header className='header'>
                <img src="logo.png" />

                {!isLogin &&
                    <NavLink to="/login">
                        Login
                    </NavLink>
                }

                {isLogin &&
                    <div className="login-name__wrapper" onClick={() => setIsLogout((x) => !x)}>
                        {loginName}
                    </div>
                }

                {isLogout && <Logout />}
            </header>
        </nav>
    );
}

const CHeader = connect((s) => ({
    loginName: s.auth.login,
    isLogin: s.auth.isLogin
}), {})(Header)

export default CHeader;